"""New fixes

Revision ID: bc2f01c40e4a
Revises: b2fa308044b5
Create Date: 2024-01-26 13:34:14.496769

"""
from typing import Sequence, Union

import sqlalchemy as sa
import sqlmodel
from alembic import op

# revision identifiers, used by Alembic.
revision: str = 'bc2f01c40e4a'
down_revision: Union[str, None] = 'b2fa308044b5'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    try:
        with op.batch_alter_table('flow', schema=None) as batch_op:
            batch_op.add_column(sa.Column('is_component', sa.Boolean(), nullable=True))
            batch_op.add_column(sa.Column('updated_at', sa.DateTime(), nullable=True))
            batch_op.add_column(sa.Column('folder', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
            batch_op.add_column(sa.Column('user_id', sqlmodel.sql.sqltypes.GUID(), nullable=True))
            batch_op.create_index(batch_op.f('ix_flow_user_id'), ['user_id'], unique=False)
            batch_op.create_foreign_key('flow_user_id_fkey'
                                        , 'user', ['user_id'], ['id'])
    except Exception:
        pass
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    try:
        with op.batch_alter_table('flow', schema=None) as batch_op:
            batch_op.drop_constraint('flow_user_id_fkey', type_='foreignkey')
            batch_op.drop_index(batch_op.f('ix_flow_user_id'))
            batch_op.drop_column('user_id')
            batch_op.drop_column('folder')
            batch_op.drop_column('updated_at')
            batch_op.drop_column('is_component')
    except Exception:
        pass

    # ### end Alembic commands ###
